Debian Bug report logs - #334104
tulip driver advertises support for non-working card

version graph

Package: linux-2.6; Maintainer for linux-2.6 is Debian Kernel Team <debian-kernel@lists.debian.org>;

Reported by: Lee Maguire <lee-debian@hexkey.co.uk>

Date: Sat, 15 Oct 2005 14:48:55 UTC

Severity: important

Tags: pending, wontfix

Fixed in version linux-2.6/2.6.18.dfsg.1-9

Done: Bastian Blank <waldi@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to Marco d'Itri <md@linux.it>:
Bug#334104; Package udev. Full text and rfc822 format available.

Acknowledgement sent to Lee Maguire <lee-debian@hexkey.co.uk>:
New Bug report received and forwarded. Copy sent to Marco d'Itri <md@linux.it>. Full text and rfc822 format available.

Message #5 received at maintonly@bugs.debian.org (full text, mbox):

From: Lee Maguire <lee-debian@hexkey.co.uk>
To: Debian Bug Tracking System <maintonly@bugs.debian.org>
Subject: udev upgrade breaks networking (Davicom NIC)
Date: Sat, 15 Oct 2005 15:03:56 +0100
Package: udev
Version: 0.070-5
Severity: important

Upon upgrading to udev 0.070-5, after rebooting my network card
(Davicom Semiconductor, Inc. 21x4x DEC-Tulip compatible 10/100 Ethernet
(rev 31)) failed to work.  It would lose carrier after about a minute and
write the following to syslog:
   kernel: 0000:00:0b.0: tulip_stop_rxtx() failed

I ran
  udevinfo -a -p /sys/class/net/eth0/
downgraged to 0.070-2 (and hotplug), rebooted and ran it again.

The diff shows that under the previous verstions the dmfe module
was used for the card, but under the new version the tulip module
was being used (which doesn't seem to work with this card).

14c14
<     SYSFS{carrier}=="0"
---
>     SYSFS{carrier}=="1"
28c28
<     DRIVER=="tulip"
---
>     DRIVER=="dmfe"


----------------

udevinfo starts with the device the node belongs to and then walks up the
device chain, to print for every device found, all possibly useful attributes
in the udev key format.
Only attributes within one device section may be used together in one
rule, to match the device for which the node will be created.

  looking at class device '/sys/class/net/eth0':
    KERNEL=="eth0"
    SUBSYSTEM=="net"
    SYSFS{addr_len}=="6"
    SYSFS{address}=="00:80:ad:70:f3:f6"
    SYSFS{broadcast}=="ff:ff:ff:ff:ff:ff"
    SYSFS{carrier}=="1"
    SYSFS{features}=="0x0"
    SYSFS{flags}=="0x1003"
    SYSFS{ifindex}=="2"
    SYSFS{iflink}=="2"
    SYSFS{mtu}=="1500"
    SYSFS{tx_queue_len}=="1000"
    SYSFS{type}=="1"
    SYSFS{weight}=="0"

follow the "device"-link to the physical device:
  looking at the device chain at '/sys/devices/pci0000:00/0000:00:0b.0':
    BUS=="pci"
    ID=="0000:00:0b.0"
    DRIVER=="dmfe"
    SYSFS{class}=="0x020000"
    SYSFS{device}=="0x9102"
    SYSFS{irq}=="10"
    SYSFS{local_cpus}=="1"
    SYSFS{modalias}=="pci:v00001282d00009102sv00004554sd0000434Ebc02sc00i00"
    SYSFS{subsystem_device}=="0x434e"
    SYSFS{subsystem_vendor}=="0x4554"
    SYSFS{vendor}=="0x1282"

  looking at the device chain at '/sys/devices/pci0000:00':
    BUS==""
    ID=="pci0000:00"
    DRIVER=="unknown"

--------------


-- Package-specific info:

-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'stable'), (1, 'experimental')
Architecture: i386 (i586)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.12-1-386
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)





Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#334104; Package udev. Full text and rfc822 format available.

Acknowledgement sent to md@Linux.IT (Marco d'Itri):
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. Full text and rfc822 format available.

Message #10 received at 334104@bugs.debian.org (full text, mbox):

From: md@Linux.IT (Marco d'Itri)
To: Lee Maguire <lee-debian@hexkey.co.uk>, 334104@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#334104: udev upgrade breaks networking (Davicom NIC)
Date: Mon, 17 Oct 2005 19:32:32 +0200
[Message part 1 (text/plain, inline)]
reassign 334104 linux-2.6
retitle 334104 tulip driver advertises support for non-working card
thanks

On Oct 15, Lee Maguire <lee-debian@hexkey.co.uk> wrote:

> The diff shows that under the previous verstions the dmfe module
> was used for the card, but under the new version the tulip module
> was being used (which doesn't seem to work with this card).
Too bad. I cannot blacklist the tulip driver in the default
configuration, so you will have to do it on your system (look at
/etc/modprobe.d/blacklist).

The kernel people should know if the driver can be fixed to not
advertise support for your card, or if it cannot be distinguished from
supported cards.

-- 
ciao,
Marco
[signature.asc (application/pgp-signature, inline)]

Bug reassigned from package `udev' to `linux-2.6'. Request was from md@Linux.IT (Marco d'Itri) to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from md@Linux.IT (Marco d'Itri) to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#334104; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to jurij@wooyd.org:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #19 received at 334104@bugs.debian.org (full text, mbox):

From: Jurij Smakov <jurij@wooyd.org>
To: 334104-submitter@bugs.debian.org, 334104@bugs.debian.org
Cc: md@Linux.IT
Subject: Re: tulip driver advertises support for non-working card
Date: Mon, 17 Oct 2005 20:22:21 -0700 (PDT)
Hi Marco,

The original report states that downgrading udev and using it with the 
*same* kernel fixes the situation. How can it be a kernel bug?

Best regards,

Jurij Smakov                                        jurij@wooyd.org
Key: http://www.wooyd.org/pgpkey/                   KeyID: C99E03CC



Message sent on to Lee Maguire <lee-debian@hexkey.co.uk>:
Bug#334104. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#334104; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to md@Linux.IT (Marco d'Itri):
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #27 received at 334104@bugs.debian.org (full text, mbox):

From: md@Linux.IT (Marco d'Itri)
To: Jurij Smakov <jurij@wooyd.org>
Cc: 334104-submitter@bugs.debian.org, 334104@bugs.debian.org
Subject: Re: tulip driver advertises support for non-working card
Date: Tue, 18 Oct 2005 09:10:21 +0200
[Message part 1 (text/plain, inline)]
On Oct 18, Jurij Smakov <jurij@wooyd.org> wrote:

> The original report states that downgrading udev and using it with the 
> *same* kernel fixes the situation. How can it be a kernel bug?
If a driver advertises to support some hardware but then does not work
it's a kernel bug.
The latest udev may load drivers in a different order, and this is what
exposed the bug: probably the old one just loaded the working one first.

-- 
ciao,
Marco
[signature.asc (application/pgp-signature, inline)]

Message sent on to Lee Maguire <lee-debian@hexkey.co.uk>:
Bug#334104. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#334104; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to jurij@wooyd.org:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #35 received at 334104@bugs.debian.org (full text, mbox):

From: Jurij Smakov <jurij@wooyd.org>
To: 334104-submitter@bugs.debian.org
Cc: 334104@bugs.debian.org, control@bugs.debian.org
Subject: Patch: remove PCI IDs handled by dmfe from tulip
Date: Thu, 20 Oct 2005 21:47:17 -0700 (PDT)
[Message part 1 (text/plain, inline)]
tags 334104 patch
thanks

Hi,

It looks like tulip and dmfe have some identical PCI IDs in their lists 
of supported devices, which, I believe, should not normally happen. 
Attached patch removes the PCI IDs handled by dmfe drive from tulip 
device table. It would be great if you could test it and see if 
it helps with the problem.

Best regards,

Jurij Smakov                                        jurij@wooyd.org
Key: http://www.wooyd.org/pgpkey/                   KeyID: C99E03CC
[tulip.patch (text/plain, attachment)]

Tags added: patch Request was from Jurij Smakov <jurij@wooyd.org> to control@bugs.debian.org. Full text and rfc822 format available.

Message sent on to Lee Maguire <lee-debian@hexkey.co.uk>:
Bug#334104. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#334104; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to Stefan Pauwels <stefan.pauwels@stud.unibas.ch>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #45 received at 334104@bugs.debian.org (full text, mbox):

From: Stefan Pauwels <stefan.pauwels@stud.unibas.ch>
To: 334104@bugs.debian.org
Subject: Re: Patch: remove PCI IDs handled by dmfe from tulip
Date: Sat, 19 Nov 2005 12:58:41 +0100
Hi Jurij

I had the same problem with my network card. First I thought it was a 
discover bug (See Bug #326723).

I compiled a kernel with your patch and it worked for me. Loaded dmfe 
again without having to blacklist tulip.

Thanks!

Will this be applied to the kernel soon?

Stefan



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#334104; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to Sven Luther <sven.luther@wanadoo.fr>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #50 received at 334104@bugs.debian.org (full text, mbox):

From: Sven Luther <sven.luther@wanadoo.fr>
To: Jurij Smakov <jurij@wooyd.org>, 334104@bugs.debian.org
Subject: Why was this patch not applied ?
Date: Wed, 11 Jan 2006 14:00:33 +0100
Hi Jurij, ...

Any idea why this patch was not applied to our kernel and forwarded upstream ?
It seems to fix the issue, but there where no news about this bug report since
November ? 

Friendly,

Sven Luther




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#334104; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to md@Linux.IT (Marco d'Itri):
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #55 received at 334104@bugs.debian.org (full text, mbox):

From: md@Linux.IT (Marco d'Itri)
To: Sven Luther <sven.luther@wanadoo.fr>, 334104@bugs.debian.org
Cc: Jurij Smakov <jurij@wooyd.org>
Subject: Re: Bug#334104: Why was this patch not applied ?
Date: Wed, 11 Jan 2006 14:35:18 +0100
[Message part 1 (text/plain, inline)]
On Jan 11, Sven Luther <sven.luther@wanadoo.fr> wrote:

> Any idea why this patch was not applied to our kernel and forwarded upstream ?
Because it probably breaks other cards.
IIRC this driver is especially relevant for a !x86 architecture.

-- 
ciao,
Marco
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#334104; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to Sven Luther <sven.luther@wanadoo.fr>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #60 received at 334104@bugs.debian.org (full text, mbox):

From: Sven Luther <sven.luther@wanadoo.fr>
To: Marco d'Itri <md@Linux.IT>
Cc: Sven Luther <sven.luther@wanadoo.fr>, 334104@bugs.debian.org, Jurij Smakov <jurij@wooyd.org>
Subject: Re: Bug#334104: Why was this patch not applied ?
Date: Wed, 11 Jan 2006 14:43:24 +0100
On Wed, Jan 11, 2006 at 02:35:18PM +0100, Marco d'Itri wrote:
> On Jan 11, Sven Luther <sven.luther@wanadoo.fr> wrote:
> 
> > Any idea why this patch was not applied to our kernel and forwarded upstream ?
> Because it probably breaks other cards.
> IIRC this driver is especially relevant for a !x86 architecture.

So you think that these two cards : 

-	{ 0x1282, 0x9100, PCI_ANY_ID, PCI_ANY_ID, 0, 0, DM910X },
-	{ 0x1282, 0x9102, PCI_ANY_ID, PCI_ANY_ID, 0, 0, DM910X },

are not supported by the dmfe driver on non-x86 ?

Or maybe i misunderstood you, or misunderstoof the patch, but it seems not
that it can affect any kind of pci card different than those two.

Friendly,

Sven Luther




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#334104; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to md@Linux.IT (Marco d'Itri):
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #65 received at 334104@bugs.debian.org (full text, mbox):

From: md@Linux.IT (Marco d'Itri)
To: Sven Luther <sven.luther@wanadoo.fr>
Cc: 334104@bugs.debian.org, Jurij Smakov <jurij@wooyd.org>
Subject: Re: Bug#334104: Why was this patch not applied ?
Date: Wed, 11 Jan 2006 14:46:08 +0100
[Message part 1 (text/plain, inline)]
On Jan 11, Sven Luther <sven.luther@wanadoo.fr> wrote:

> So you think that these two cards : 
I remember that some card(s) work with one driver but not the other, and
IIRC they have the same PCI ID.
There was some old hotplug bug about this.

-- 
ciao,
Marco
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#334104; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to Sven Luther <sven.luther@wanadoo.fr>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #70 received at 334104@bugs.debian.org (full text, mbox):

From: Sven Luther <sven.luther@wanadoo.fr>
To: Marco d'Itri <md@Linux.IT>
Cc: Sven Luther <sven.luther@wanadoo.fr>, 334104@bugs.debian.org, Jurij Smakov <jurij@wooyd.org>
Subject: Re: Bug#334104: Why was this patch not applied ?
Date: Wed, 11 Jan 2006 14:52:35 +0100
On Wed, Jan 11, 2006 at 02:46:08PM +0100, Marco d'Itri wrote:
> On Jan 11, Sven Luther <sven.luther@wanadoo.fr> wrote:
> 
> > So you think that these two cards : 
> I remember that some card(s) work with one driver but not the other, and
> IIRC they have the same PCI ID.
> There was some old hotplug bug about this.

Ah, well. ...

Not really much we can do about this, except fix the drivers. That said : 

config DM9102
        tristate "Davicom DM910x/DM980x support"
        depends on NET_TULIP && PCI
        select CRC32
        ---help---
          This driver is for DM9102(A)/DM9132/DM9801 compatible PCI cards from
          Davicom (<http://www.davicom.com.tw/>).  If you have such a network
          (Ethernet) card, say Y.  Some information is contained in the file
          <file:Documentation/networking/dmfe.txt>.

          To compile this driver as a module, choose M here and read
          <file:Documentation/networking/net-modules.txt>.  The module will
          be called dmfe.

and :

obj-$(CONFIG_DM9102)            += dmfe.o

which means the dmfe driver is indeed the default for the DM9102. If some
cards don't work with the dmfe driver, then the dmfe driver is buggy and needs
to be fixed, don't you think ? 

Friendly,

Sven Luther




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#334104; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to md@Linux.IT (Marco d'Itri):
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #75 received at 334104@bugs.debian.org (full text, mbox):

From: md@Linux.IT (Marco d'Itri)
To: Sven Luther <sven.luther@wanadoo.fr>
Cc: 334104@bugs.debian.org, Jurij Smakov <jurij@wooyd.org>
Subject: Re: Bug#334104: Why was this patch not applied ?
Date: Wed, 11 Jan 2006 14:55:28 +0100
[Message part 1 (text/plain, inline)]
On Jan 11, Sven Luther <sven.luther@wanadoo.fr> wrote:

> which means the dmfe driver is indeed the default for the DM9102. If some
> cards don't work with the dmfe driver, then the dmfe driver is buggy and needs
> to be fixed, don't you think ? 
Sure, it's just that apparently the interested people are not able to do
it.

-- 
ciao,
Marco
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#334104; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to Sven Luther <sven.luther@wanadoo.fr>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #80 received at 334104@bugs.debian.org (full text, mbox):

From: Sven Luther <sven.luther@wanadoo.fr>
To: Marco d'Itri <md@Linux.IT>, 334104@bugs.debian.org
Cc: Sven Luther <sven.luther@wanadoo.fr>, Jurij Smakov <jurij@wooyd.org>
Subject: Re: Bug#334104: Why was this patch not applied ?
Date: Wed, 11 Jan 2006 15:20:45 +0100
On Wed, Jan 11, 2006 at 02:55:28PM +0100, Marco d'Itri wrote:
> On Jan 11, Sven Luther <sven.luther@wanadoo.fr> wrote:
> 
> > which means the dmfe driver is indeed the default for the DM9102. If some
> > cards don't work with the dmfe driver, then the dmfe driver is buggy and needs
> > to be fixed, don't you think ? 
> Sure, it's just that apparently the interested people are not able to do
> it.

Well. let's apply this patch, and then we see if we get bug reports, and
examine those case by case, and try to fix them ? 

Friendly,

Sven Luther




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#334104; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to md@Linux.IT (Marco d'Itri):
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #85 received at 334104@bugs.debian.org (full text, mbox):

From: md@Linux.IT (Marco d'Itri)
To: Sven Luther <sven.luther@wanadoo.fr>, 334104@bugs.debian.org
Cc: Jurij Smakov <jurij@wooyd.org>
Subject: Re: Bug#334104: Why was this patch not applied ?
Date: Wed, 11 Jan 2006 15:50:47 +0100
[Message part 1 (text/plain, inline)]
On Jan 11, Sven Luther <sven.luther@wanadoo.fr> wrote:

> Well. let's apply this patch, and then we see if we get bug reports, and
> examine those case by case, and try to fix them ? 
I have no objections.

-- 
ciao,
Marco
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#334104; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to Bernardo Arlandis Mañó <berarma@ya.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #90 received at 334104@bugs.debian.org (full text, mbox):

From: Bernardo Arlandis Mañó <berarma@ya.com>
To: 334104@bugs.debian.org
Subject: same bug here
Date: Thu, 01 Jun 2006 23:33:40 +0200
Hi.

I'm suffering this bug from some time ago.

udev 0.091-2

> uname -a
Linux marieta 2.6.15-1-k7 #2 Mon Mar 6 15:42:39 UTC 2006 i686 GNU/Linux

> lspci -nvv -s 00:09.0
0000:00:09.0 0200: 1282:9102 (rev 31)
       Subsystem: 3030:5032
       Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- 
ParErr- Stepping- SERR- FastB2B-
       Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- 
<TAbort- <MAbort- >SERR- <PERR+
       Latency: 32 (5000ns min, 10000ns max)
       Interrupt: pin A routed to IRQ 11
       Region 0: I/O ports at ec00 [size=256]
       Region 1: Memory at dd001000 (32-bit, non-prefetchable) [size=256]
       Expansion ROM at 20000000 [disabled] [size=256K]
       Capabilities: [50] Power Management version 2
               Flags: PMEClk- DSI- D1- D2- AuxCurrent=220mA 
PME(D0+,D1+,D2+,D3hot+,D3cold+)
               Status: D0 PME-Enable- DSel=0 DScale=0 PME-


-- 
Bernardo Arlandis Mañó
http://berarma.webhop.org/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#334104; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to Jurij Smakov <jurij@wooyd.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #95 received at 334104@bugs.debian.org (full text, mbox):

From: Jurij Smakov <jurij@wooyd.org>
To: 334104@bugs.debian.org
Cc: 334104-submitter@bugs.debian.org, md@linux.it, Stefan Pauwels <stefan.pauwels@stud.unibas.ch>, Bernardo Arlandis Mano <berarma@ya.com>, Richard Mortimer <richm@oldelvet.org.uk>
Subject: RFC: workaround for dmfe/tulip module problem
Date: Wed, 29 Nov 2006 21:29:41 -0800
[Message part 1 (text/plain, inline)]
Hi,

The issue of dmfe and tulip drivers advertising support for the cards 
with the same PCI IDs has popped up recently again [0]. As some of the 
cards work with dmfe driver (mostly on x86), and some work with tulip 
(on sparc Netra machines, for example), the issue cannot be resolved 
by simply removing the duplicate PCI IDs from one of the drivers, as I 
initially thought. To provide some kind of workaround for it, I 
propose to patch dmfe and tulip drivers, introducing a 'disable' 
parameter, which can be used to prevent the particular module from 
taking over hardware. d-i currently has a mechanism to supply the 
options to the modules using kernel boot parameters, so the user may 
disable the unwanted module without starting a shell and manually 
mucking with module loading and unloading.

The patch (attached) is really straightforward, and is unlikely to 
cause any regression. I don't have access to the dmfe or tulip 
hardware, so I would appreciate if you could test it on the 
affected machines (particularly, the disabling feature), and report 
back.

[0] http://bugs.debian.org/400837
 
Thanks,
-- 
Jurij Smakov                                           jurij@wooyd.org
Key: http://www.wooyd.org/pgpkey/                      KeyID: C99E03CC
[tulip-dmfe-disable.patch (text/plain, attachment)]

Message sent on to Lee Maguire <lee-debian@hexkey.co.uk>:
Bug#334104. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#334104; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to Richard Mortimer <richm@oldelvet.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #103 received at 334104@bugs.debian.org (full text, mbox):

From: Richard Mortimer <richm@oldelvet.org.uk>
To: Jurij Smakov <jurij@wooyd.org>
Cc: 334104@bugs.debian.org, 334104-submitter@bugs.debian.org, md@linux.it, Stefan Pauwels <stefan.pauwels@stud.unibas.ch>, Bernardo Arlandis Mano <berarma@ya.com>
Subject: Re: RFC: workaround for dmfe/tulip module problem
Date: Sun, 03 Dec 2006 22:58:18 +0000
On Wed, 2006-11-29 at 21:29 -0800, Jurij Smakov wrote:
> Hi,
> 
> The issue of dmfe and tulip drivers advertising support for the cards 
> with the same PCI IDs has popped up recently again [0]. As some of the 
> cards work with dmfe driver (mostly on x86), and some work with tulip 
> (on sparc Netra machines, for example), the issue cannot be resolved 
> by simply removing the duplicate PCI IDs from one of the drivers, as I 
> initially thought. To provide some kind of workaround for it, I 
> propose to patch dmfe and tulip drivers, introducing a 'disable' 
> parameter, which can be used to prevent the particular module from 
> taking over hardware. d-i currently has a mechanism to supply the 
> options to the modules using kernel boot parameters, so the user may 
> disable the unwanted module without starting a shell and manually 
> mucking with module loading and unloading.
> 
> The patch (attached) is really straightforward, and is unlikely to 
> cause any regression. I don't have access to the dmfe or tulip 
> hardware, so I would appreciate if you could test it on the 
> affected machines (particularly, the disabling feature), and report 
> back.
> 
I've tried this and it seems to be a non-starter. It works fine when I
use it on the modprobe commandline

pingu:/sys/module/dmfe# modprobe dmfe disable=1
dmfe: driver disabled, aborting initialization.

but when I boot with dmfe.disable=1 on the commandline the driver gets
loaded.

pingu:/sys/module/dmfe# cat /proc/cmdline
root=/dev/hda7 ro dmfe.disable=1


Built 1 zonelists
Kernel command line: root=/dev/hda7 ro dmfe.disable=1
Unknown boot option `dmfe.disable=1': ignoring
...
dmfe: Davicom DM9xxx net driver, version 1.36.4 (2002-01-17)
hda: ST320423A, ATA DISK drive
ide0 at 0x1fe02010200-0x1fe02010207,0x1fe0201020a on irq 5,7cc
hdc: ST320423A, ATA DISK drive
ide1 at 0x1fe02010210-0x1fe02010217,0x1fe0201020e on irq 5,7cc
eth0: Davicom DM9102 at pci0000:00:05.0, 00:00:00:00:00:00, irq 7418560.
eth1: Davicom DM9102 at pci0000:00:0c.0, 00:00:00:00:00:00, irq 7417856.
Linux Tulip driver version 1.1.13-NAPI (May 11, 2002)
hda: max request size: 128KiB


If I look the kernel documentation in
Documentation/kernel-parameters.txt it says


Module parameters for modules that are built into the kernel image
are specified on the kernel command line with the module name plus
'.' plus parameter name, with '=' and value if appropriate, such as:

        usbcore.blinkenlights=1


I tried building the kernel with dmfe and tulip built in and that
happily accepted the dmfe.disable=1 and brought the system up with the
correct (tulip) driver loaded.

...
dmfe: driver disabled, aborting initialization.
Linux Tulip driver version 1.1.13-NAPI (May 11, 2002)
tulip0: Old style EEPROM with no media selection information.
tulip0:  MII transceiver #1 config 1000 status 7809 advertising 01e1.
eth0: Davicom DM9102/DM9102A rev 49 at 000001fe02010100, EEPROM not
present, 08:00:20:F8:35:86, IRQ 7475904.
tulip1: Old style EEPROM with no media selection information.
tulip1:  MII transceiver #1 config 3100 status 7829 advertising 01e1.
eth1: Davicom DM9102/DM9102A rev 49 at 000001fe02010000, EEPROM not
present, 08:00:20:F8:35:85, IRQ 7475200.
...


Thus for your patch to work the tulip and dmfe drivers would need to be
compiled in statically rather than as modules.

Thanks

Richard


-- 
Richard Mortimer <richm@oldelvet.org.uk>




Message sent on to Lee Maguire <lee-debian@hexkey.co.uk>:
Bug#334104. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#334104; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to Frans Pop <elendil@planet.nl>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #111 received at 334104@bugs.debian.org (full text, mbox):

From: Frans Pop <elendil@planet.nl>
To: Richard Mortimer <richm@oldelvet.org.uk>, 334104@bugs.debian.org
Subject: Re: Bug#334104: RFC: workaround for dmfe/tulip module problem
Date: Mon, 04 Dec 2006 00:18:33 +0100
[Message part 1 (text/plain, inline)]
On Sunday 03 December 2006 23:58, Richard Mortimer wrote:
> but when I boot with dmfe.disable=1 on the commandline the driver gets
> loaded.
>
> pingu:/sys/module/dmfe# cat /proc/cmdline
> root=/dev/hda7 ro dmfe.disable=1

The dmfe.disable=1 construct was intended for use with the installer which 
takes care of "translating" such entries to the relevant configuration 
files, so it should still be alright.
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#334104; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to Jurij Smakov <jurij@wooyd.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #116 received at 334104@bugs.debian.org (full text, mbox):

From: Jurij Smakov <jurij@wooyd.org>
To: Richard Mortimer <richm@oldelvet.org.uk>
Cc: Jurij Smakov <jurij@wooyd.org>, 334104@bugs.debian.org, 334104-submitter@bugs.debian.org, md@linux.it, Stefan Pauwels <stefan.pauwels@stud.unibas.ch>, Bernardo Arlandis Mano <berarma@ya.com>
Subject: Re: RFC: workaround for dmfe/tulip module problem
Date: Sun, 3 Dec 2006 15:48:00 -0800
On Sun, Dec 03, 2006 at 10:58:18PM +0000, Richard Mortimer wrote:

> I've tried this and it seems to be a non-starter. It works fine when I
> use it on the modprobe commandline
> 
> pingu:/sys/module/dmfe# modprobe dmfe disable=1
> dmfe: driver disabled, aborting initialization.
> 
> but when I boot with dmfe.disable=1 on the commandline the driver gets
> loaded.
> 
> pingu:/sys/module/dmfe# cat /proc/cmdline
> root=/dev/hda7 ro dmfe.disable=1
> 
> 
> Built 1 zonelists
> Kernel command line: root=/dev/hda7 ro dmfe.disable=1
> Unknown boot option `dmfe.disable=1': ignoring
> ...
> dmfe: Davicom DM9xxx net driver, version 1.36.4 (2002-01-17)
> hda: ST320423A, ATA DISK drive
> ide0 at 0x1fe02010200-0x1fe02010207,0x1fe0201020a on irq 5,7cc
> hdc: ST320423A, ATA DISK drive
> ide1 at 0x1fe02010210-0x1fe02010217,0x1fe0201020e on irq 5,7cc
> eth0: Davicom DM9102 at pci0000:00:05.0, 00:00:00:00:00:00, irq 7418560.
> eth1: Davicom DM9102 at pci0000:00:0c.0, 00:00:00:00:00:00, irq 7417856.
> Linux Tulip driver version 1.1.13-NAPI (May 11, 2002)
> hda: max request size: 128KiB
> 
> 
> If I look the kernel documentation in
> Documentation/kernel-parameters.txt it says
> 
> 
> Module parameters for modules that are built into the kernel image
> are specified on the kernel command line with the module name plus
> '.' plus parameter name, with '=' and value if appropriate, such as:
> 
>         usbcore.blinkenlights=1
> 
> 
> I tried building the kernel with dmfe and tulip built in and that
> happily accepted the dmfe.disable=1 and brought the system up with the
> correct (tulip) driver loaded.
[..] 
> Thus for your patch to work the tulip and dmfe drivers would need to be
> compiled in statically rather than as modules.

Hi Richard,

You are right that my patch will not help in any way when you are just 
booting an already installed system. And that's fine, because it's not 
a problem it is trying to solve. When you already have a working 
system, you can simply prevent any driver from being loaded by doing 
something like

# echo 'blacklist dmfe' > /etc/modprobe.d/dmfe-blacklist

This will prevent udev from loading the driver automatically.

What I want to achieve with the patch is the ability to disable the 
module at the installation time. And there the situation is different, 
because installer has its own independent logic to pass parameters 
like dmfe.disable=1 to the modules (at least that's what it says in 
the manual :-). I'll try to build a mini-iso installation image with 
the updated modules, which you could test.

Best regards,
-- 
Jurij Smakov                                           jurij@wooyd.org
Key: http://www.wooyd.org/pgpkey/                      KeyID: C99E03CC



Message sent on to Lee Maguire <lee-debian@hexkey.co.uk>:
Bug#334104. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#334104; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to Richard Mortimer <richm@oldelvet.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #124 received at 334104@bugs.debian.org (full text, mbox):

From: Richard Mortimer <richm@oldelvet.org.uk>
To: Jurij Smakov <jurij@wooyd.org>
Cc: richm@oldelvet.org.uk, 334104@bugs.debian.org, 334104-submitter@bugs.debian.org, md@linux.it, Stefan Pauwels <stefan.pauwels@stud.unibas.ch>, Bernardo Arlandis Mano <berarma@ya.com>
Subject: Re: RFC: workaround for dmfe/tulip module problem
Date: Fri, 15 Dec 2006 22:13:53 +0000
Hi Jurij,

Did you get around to building the mini-iso image? I'm happy to test
when you have it ready.

Regards

Richard

On Sun, 2006-12-03 at 15:48 -0800, Jurij Smakov wrote:
> On Sun, Dec 03, 2006 at 10:58:18PM +0000, Richard Mortimer wrote:
> Hi Richard,
> 
> You are right that my patch will not help in any way when you are just 
> booting an already installed system. And that's fine, because it's not 
> a problem it is trying to solve. When you already have a working 
> system, you can simply prevent any driver from being loaded by doing 
> something like
> 
> # echo 'blacklist dmfe' > /etc/modprobe.d/dmfe-blacklist
> 
> This will prevent udev from loading the driver automatically.
> 
> What I want to achieve with the patch is the ability to disable the 
> module at the installation time. And there the situation is different, 
> because installer has its own independent logic to pass parameters 
> like dmfe.disable=1 to the modules (at least that's what it says in 
> the manual :-). I'll try to build a mini-iso installation image with 
> the updated modules, which you could test.
> 
> Best regards,
-- 
Richard Mortimer <richm@oldelvet.org.uk>




Message sent on to Lee Maguire <lee-debian@hexkey.co.uk>:
Bug#334104. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#334104; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to Jurij Smakov <jurij@wooyd.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #132 received at 334104@bugs.debian.org (full text, mbox):

From: Jurij Smakov <jurij@wooyd.org>
To: Richard Mortimer <richm@oldelvet.org.uk>
Cc: 334104@bugs.debian.org
Subject: Re: RFC: workaround for dmfe/tulip module problem
Date: Sat, 16 Dec 2006 11:30:24 -0800
On Fri, Dec 15, 2006 at 10:13:53PM +0000, Richard Mortimer wrote:
> Hi Jurij,
> 
> Did you get around to building the mini-iso image? I'm happy to test
> when you have it ready.

Hi Richard,

Sorry for the delay. The mini.iso (5.4M) with the kernel modules which 
have the proposed patch incorporated is now available at:

http://www.wooyd.org/debian/iso/

Best regards,
-- 
Jurij Smakov                                           jurij@wooyd.org
Key: http://www.wooyd.org/pgpkey/                      KeyID: C99E03CC



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#334104; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to Richard Mortimer <richm@oldelvet.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #137 received at 334104@bugs.debian.org (full text, mbox):

From: Richard Mortimer <richm@oldelvet.org.uk>
To: Jurij Smakov <jurij@wooyd.org>
Cc: richm@oldelvet.org.uk, 334104@bugs.debian.org
Subject: Re: RFC: workaround for dmfe/tulip module problem
Date: Sun, 17 Dec 2006 23:49:49 +0000
On Sat, 2006-12-16 at 11:30 -0800, Jurij Smakov wrote:
> On Fri, Dec 15, 2006 at 10:13:53PM +0000, Richard Mortimer wrote:
> > Hi Jurij,
> > 
> > Did you get around to building the mini-iso image? I'm happy to test
> > when you have it ready.
> 
> Hi Richard,
> 
> Sorry for the delay. The mini.iso (5.4M) with the kernel modules which 
> have the proposed patch incorporated is now available at:
> 
> http://www.wooyd.org/debian/iso/
> 

Hi Jurij,

I started to test this and then realised that there is a small problem.
The X1 doesn't have a cd drive so I cannot test it. Is there any chance
of a netboot image.

Thanks

Richard


-- 
Richard Mortimer <richm@oldelvet.org.uk>




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#334104; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to Jurij Smakov <jurij@wooyd.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #142 received at 334104@bugs.debian.org (full text, mbox):

From: Jurij Smakov <jurij@wooyd.org>
To: Richard Mortimer <richm@oldelvet.org.uk>
Cc: 334104@bugs.debian.org
Subject: Re: RFC: workaround for dmfe/tulip module problem
Date: Mon, 18 Dec 2006 19:05:03 -0800
On Sun, Dec 17, 2006 at 11:49:49PM +0000, Richard Mortimer wrote:

> I started to test this and then realised that there is a small problem.
> The X1 doesn't have a cd drive so I cannot test it. Is there any chance
> of a netboot image.

Sure, it is available at

http://www.wooyd.org/debian/iso/boot.img

Thanks.
-- 
Jurij Smakov                                           jurij@wooyd.org
Key: http://www.wooyd.org/pgpkey/                      KeyID: C99E03CC



Tags added: pending Request was from Jurij Smakov <jurij-guest@alioth.debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#334104; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to Jurij Smakov <jurij@wooyd.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #149 received at 334104@bugs.debian.org (full text, mbox):

From: Jurij Smakov <jurij@wooyd.org>
To: 373621@bugs.debian.org, 334104@bugs.debian.org, Richard Mortimer <richm@oldelvet.org.uk>
Subject: Re: tagging wontfix
Date: Thu, 4 Jan 2007 22:36:12 -0800
user jurij@debian.org
usertag 334104 - oh-noes
tag 334104 - pending
tag 334104 - patch
tag 334104 wontfix
tag 373621 wontfix
thanks

My attempt to actually do something about this ancient bug (#334104) 
has been blocked by Bastian Blank, who considers the proposed patch to 
violate the patch acceptance policy. As I don't feel like wasting my 
breath arguing about it, the best thing I can do is tag this bug 
wontfix, in hope that the debian-installer people will be able to 
provide some alternative solution.

-- 
Jurij Smakov                                           jurij@wooyd.org
Key: http://www.wooyd.org/pgpkey/                      KeyID: C99E03CC



Tags removed: pending Request was from Jurij Smakov <jurij@wooyd.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags removed: patch Request was from Jurij Smakov <jurij@wooyd.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: wontfix Request was from Jurij Smakov <jurij@wooyd.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#334104; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to maximilian attems <maks@sternwelten.at>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #160 received at 334104@bugs.debian.org (full text, mbox):

From: maximilian attems <maks@sternwelten.at>
To: Jurij Smakov <jurij@wooyd.org>, 334104@bugs.debian.org
Cc: 373621@bugs.debian.org, Richard Mortimer <richm@oldelvet.org.uk>
Subject: Re: Bug#334104: tagging wontfix
Date: Fri, 5 Jan 2007 08:27:25 +0100
tags 334104 -wontfix
tags 334104 pending
thanks

morning jurij,

On Thu, Jan 04, 2007 at 10:36:12PM -0800, Jurij Smakov wrote:
> tag 373621 wontfix
> thanks
> 
> My attempt to actually do something about this ancient bug (#334104) 
> has been blocked by Bastian Blank, who considers the proposed patch to 
> violate the patch acceptance policy. As I don't feel like wasting my 
> breath arguing about it, the best thing I can do is tag this bug 
> wontfix, in hope that the debian-installer people will be able to 
> provide some alternative solution.

well i considered your patch to be a fine distro specific workaround.
now i've gone another way and disabled the dup pci-id's in tulip for i386.
afaik dmfe.ko explodes on parisc. so you could do the inverse for sparc.

ideally dmfe and tulip shouldn't pretend to work for chipsets they
can't, but that codebase won't get fixed in time for the etch release.

happy day

-- 
maks



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#334104; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to Jurij Smakov <jurij@wooyd.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #165 received at 334104@bugs.debian.org (full text, mbox):

From: Jurij Smakov <jurij@wooyd.org>
To: maximilian attems <maks@sternwelten.at>, 334104@bugs.debian.org
Cc: Jurij Smakov <jurij@wooyd.org>, 373621@bugs.debian.org, Richard Mortimer <richm@oldelvet.org.uk>
Subject: Re: Bug#334104: tagging wontfix
Date: Fri, 5 Jan 2007 22:50:26 -0800
On Fri, Jan 05, 2007 at 08:27:25AM +0100, maximilian attems wrote:
> tags 334104 -wontfix
> tags 334104 pending
> thanks
> 
> morning jurij,
> 
> On Thu, Jan 04, 2007 at 10:36:12PM -0800, Jurij Smakov wrote:
> > tag 373621 wontfix
> > thanks
> > 
> > My attempt to actually do something about this ancient bug (#334104) 
> > has been blocked by Bastian Blank, who considers the proposed patch to 
> > violate the patch acceptance policy. As I don't feel like wasting my 
> > breath arguing about it, the best thing I can do is tag this bug 
> > wontfix, in hope that the debian-installer people will be able to 
> > provide some alternative solution.
> 
> well i considered your patch to be a fine distro specific workaround.
> now i've gone another way and disabled the dup pci-id's in tulip for i386.
> afaik dmfe.ko explodes on parisc. so you could do the inverse for sparc.
> 
> ideally dmfe and tulip shouldn't pretend to work for chipsets they
> can't, but that codebase won't get fixed in time for the etch release.

Hi,

As I said, I don't think the solution of dropping the duplicate PCI 
IDs in different drivers for different architectures to be optimal. 
There is always a possibility that someone will insert an arbitrary 
PCI card into any box with a PCI bus. If currently the user will be 
slightly inconvenienced, if your proposed solution is implemented, 
he/she will have to rebuild the kernel to get it to work.

Anyway, Frans Pop has recently posted a proposed patch for the 
installer, which will make it possible to blacklist and arbitrary 
module from loading, see

http://lists.debian.org/debian-boot/2007/01/msg00207.html

If this will make it into etch, that will solve the problem.

Best regards,
-- 
Jurij Smakov                                           jurij@wooyd.org
Key: http://www.wooyd.org/pgpkey/                      KeyID: C99E03CC



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#334104; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to Frans Pop <elendil@planet.nl>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #170 received at 334104@bugs.debian.org (full text, mbox):

From: Frans Pop <elendil@planet.nl>
To: 373621@bugs.debian.org, 334104@bugs.debian.org
Cc: Richard Mortimer <richm@oldelvet.org.uk>
Subject: Re: Bug#373621: Bug#334104: tagging wontfix
Date: Sat, 06 Jan 2007 09:42:53 +0100
[Message part 1 (text/plain, inline)]
On Saturday 06 January 2007 07:50, Jurij Smakov wrote:
> Anyway, Frans Pop has recently posted a proposed patch for the
> installer, which will make it possible to blacklist and arbitrary
> module from loading, see
> http://lists.debian.org/debian-boot/2007/01/msg00207.html
>
> If this will make it into etch, that will solve the problem.

This has now been implemented and will make Etch.
The implementation is slightly different from the original proposal. See 
this post for the details:
http://lists.debian.org/debian-boot/2007/01/msg00231.html

The new functionality should be available in daily built images within the 
next few days.
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#334104; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to maximilian attems <maks@sternwelten.at>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #175 received at 334104@bugs.debian.org (full text, mbox):

From: maximilian attems <maks@sternwelten.at>
To: Jurij Smakov <jurij@wooyd.org>
Cc: 334104@bugs.debian.org, 373621@bugs.debian.org, Richard Mortimer <richm@oldelvet.org.uk>
Subject: Re: Bug#334104: tagging wontfix
Date: Sat, 6 Jan 2007 10:19:54 +0100
On Fri, Jan 05, 2007 at 10:50:26PM -0800, Jurij Smakov wrote:
> 
> As I said, I don't think the solution of dropping the duplicate PCI 
> IDs in different drivers for different architectures to be optimal. 
> There is always a possibility that someone will insert an arbitrary 
> PCI card into any box with a PCI bus. If currently the user will be 
> slightly inconvenienced, if your proposed solution is implemented, 
> he/she will have to rebuild the kernel to get it to work.

well afaik my proposal is just mirroring discover1 knownledge,
so it shouldn't be far off.
also having heard of the doubtful quality of dmfe on hppa,
i doubt it does any good on sparc..
 
> Anyway, Frans Pop has recently posted a proposed patch for the 
> installer, which will make it possible to blacklist and arbitrary 
> module from loading, see
> 
> http://lists.debian.org/debian-boot/2007/01/msg00207.html
> 
> If this will make it into etch, that will solve the problem.

well this require an intelligent monkey booting d-i.. ;-)
 
happy weekend

-- 
maks



Information stored:
Bug#334104; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to 334104@bugs.debian.org:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #180 received at 334104-quiet@bugs.debian.org (full text, mbox):

From: Frans Pop <elendil@planet.nl>
To: 334104-submitter@bugs.debian.org
Cc: 334104-quiet@bugs.debian.org
Subject: Bug#334104 tulip driver advertises support for non-working card
Date: Thu, 11 Jan 2007 11:40:12 +0100
[Message part 1 (text/plain, inline)]
Hi,

The issue you reported with the conflict between the dmfe and tulip 
drivers can now be worked around during installation.
You can blacklist the tulip module by booting the installer with the 
following boot parameter: tulip.blacklist=yes
The blacklisting will be done for the installation itself as well as for 
the installed system.

It would be great if you could test this on your system using a daily 
built installation image, available from:
http://www.debian.org/devel/debian-installer/

Cheers,
FJP
[Message part 2 (application/pgp-signature, inline)]

Message sent on to Lee Maguire <lee-debian@hexkey.co.uk>:
Bug#334104. Full text and rfc822 format available.

Reply sent to Bastian Blank <waldi@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Lee Maguire <lee-debian@hexkey.co.uk>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #188 received at 334104-close@bugs.debian.org (full text, mbox):

From: Bastian Blank <waldi@debian.org>
To: 334104-close@bugs.debian.org
Subject: Bug#334104: fixed in linux-2.6 2.6.18.dfsg.1-9
Date: Wed, 24 Jan 2007 21:40:23 +0000
Source: linux-2.6
Source-Version: 2.6.18.dfsg.1-9

We believe that the bug you reported is fixed in the latest version of
linux-2.6, which is due to be installed in the Debian FTP archive:

linux-2.6_2.6.18.dfsg.1-9.diff.gz
  to pool/main/l/linux-2.6/linux-2.6_2.6.18.dfsg.1-9.diff.gz
linux-2.6_2.6.18.dfsg.1-9.dsc
  to pool/main/l/linux-2.6/linux-2.6_2.6.18.dfsg.1-9.dsc
linux-2.6_2.6.18.dfsg.1.orig.tar.gz
  to pool/main/l/linux-2.6/linux-2.6_2.6.18.dfsg.1.orig.tar.gz
linux-doc-2.6.18_2.6.18.dfsg.1-9_all.deb
  to pool/main/l/linux-2.6/linux-doc-2.6.18_2.6.18.dfsg.1-9_all.deb
linux-headers-2.6.18-4-all-powerpc_2.6.18.dfsg.1-9_powerpc.deb
  to pool/main/l/linux-2.6/linux-headers-2.6.18-4-all-powerpc_2.6.18.dfsg.1-9_powerpc.deb
linux-headers-2.6.18-4-all_2.6.18.dfsg.1-9_powerpc.deb
  to pool/main/l/linux-2.6/linux-headers-2.6.18-4-all_2.6.18.dfsg.1-9_powerpc.deb
linux-headers-2.6.18-4-powerpc-miboot_2.6.18.dfsg.1-9_powerpc.deb
  to pool/main/l/linux-2.6/linux-headers-2.6.18-4-powerpc-miboot_2.6.18.dfsg.1-9_powerpc.deb
linux-headers-2.6.18-4-powerpc-smp_2.6.18.dfsg.1-9_powerpc.deb
  to pool/main/l/linux-2.6/linux-headers-2.6.18-4-powerpc-smp_2.6.18.dfsg.1-9_powerpc.deb
linux-headers-2.6.18-4-powerpc64_2.6.18.dfsg.1-9_powerpc.deb
  to pool/main/l/linux-2.6/linux-headers-2.6.18-4-powerpc64_2.6.18.dfsg.1-9_powerpc.deb
linux-headers-2.6.18-4-powerpc_2.6.18.dfsg.1-9_powerpc.deb
  to pool/main/l/linux-2.6/linux-headers-2.6.18-4-powerpc_2.6.18.dfsg.1-9_powerpc.deb
linux-headers-2.6.18-4-prep_2.6.18.dfsg.1-9_powerpc.deb
  to pool/main/l/linux-2.6/linux-headers-2.6.18-4-prep_2.6.18.dfsg.1-9_powerpc.deb
linux-headers-2.6.18-4-vserver-powerpc64_2.6.18.dfsg.1-9_powerpc.deb
  to pool/main/l/linux-2.6/linux-headers-2.6.18-4-vserver-powerpc64_2.6.18.dfsg.1-9_powerpc.deb
linux-headers-2.6.18-4-vserver-powerpc_2.6.18.dfsg.1-9_powerpc.deb
  to pool/main/l/linux-2.6/linux-headers-2.6.18-4-vserver-powerpc_2.6.18.dfsg.1-9_powerpc.deb
linux-headers-2.6.18-4-vserver_2.6.18.dfsg.1-9_powerpc.deb
  to pool/main/l/linux-2.6/linux-headers-2.6.18-4-vserver_2.6.18.dfsg.1-9_powerpc.deb
linux-headers-2.6.18-4_2.6.18.dfsg.1-9_powerpc.deb
  to pool/main/l/linux-2.6/linux-headers-2.6.18-4_2.6.18.dfsg.1-9_powerpc.deb
linux-image-2.6.18-4-powerpc-miboot_2.6.18.dfsg.1-9_powerpc.deb
  to pool/main/l/linux-2.6/linux-image-2.6.18-4-powerpc-miboot_2.6.18.dfsg.1-9_powerpc.deb
linux-image-2.6.18-4-powerpc-smp_2.6.18.dfsg.1-9_powerpc.deb
  to pool/main/l/linux-2.6/linux-image-2.6.18-4-powerpc-smp_2.6.18.dfsg.1-9_powerpc.deb
linux-image-2.6.18-4-powerpc64_2.6.18.dfsg.1-9_powerpc.deb
  to pool/main/l/linux-2.6/linux-image-2.6.18-4-powerpc64_2.6.18.dfsg.1-9_powerpc.deb
linux-image-2.6.18-4-powerpc_2.6.18.dfsg.1-9_powerpc.deb
  to pool/main/l/linux-2.6/linux-image-2.6.18-4-powerpc_2.6.18.dfsg.1-9_powerpc.deb
linux-image-2.6.18-4-prep_2.6.18.dfsg.1-9_powerpc.deb
  to pool/main/l/linux-2.6/linux-image-2.6.18-4-prep_2.6.18.dfsg.1-9_powerpc.deb
linux-image-2.6.18-4-vserver-powerpc64_2.6.18.dfsg.1-9_powerpc.deb
  to pool/main/l/linux-2.6/linux-image-2.6.18-4-vserver-powerpc64_2.6.18.dfsg.1-9_powerpc.deb
linux-image-2.6.18-4-vserver-powerpc_2.6.18.dfsg.1-9_powerpc.deb
  to pool/main/l/linux-2.6/linux-image-2.6.18-4-vserver-powerpc_2.6.18.dfsg.1-9_powerpc.deb
linux-manual-2.6.18_2.6.18.dfsg.1-9_all.deb
  to pool/main/l/linux-2.6/linux-manual-2.6.18_2.6.18.dfsg.1-9_all.deb
linux-patch-debian-2.6.18_2.6.18.dfsg.1-9_all.deb
  to pool/main/l/linux-2.6/linux-patch-debian-2.6.18_2.6.18.dfsg.1-9_all.deb
linux-source-2.6.18_2.6.18.dfsg.1-9_all.deb
  to pool/main/l/linux-2.6/linux-source-2.6.18_2.6.18.dfsg.1-9_all.deb
linux-support-2.6.18-4_2.6.18.dfsg.1-9_all.deb
  to pool/main/l/linux-2.6/linux-support-2.6.18-4_2.6.18.dfsg.1-9_all.deb
linux-tree-2.6.18_2.6.18.dfsg.1-9_all.deb
  to pool/main/l/linux-2.6/linux-tree-2.6.18_2.6.18.dfsg.1-9_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 334104@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Bastian Blank <waldi@debian.org> (supplier of updated linux-2.6 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Wed, 24 Jan 2007 13:21:51 +0100
Source: linux-2.6
Binary: linux-image-2.6.18-4-powerpc-miboot linux-headers-2.6.18-4-parisc-smp linux-modules-2.6.18-4-xen-vserver-amd64 linux-headers-2.6.18-4-vserver-amd64 linux-image-2.6.18-4-sparc64-smp linux-image-2.6.18-4-sparc32 linux-image-2.6.18-4-footbridge linux-headers-2.6.18-4-xen-vserver-686 linux-headers-2.6.18-4-powerpc linux-headers-2.6.18-4-all-i386 linux-image-2.6.18-4-alpha-legacy linux-headers-2.6.18-4-vserver-s390x linux-image-2.6.18-4-686 linux-headers-2.6.18-4-686-bigmem linux-headers-2.6.18-4-s3c2410 linux-headers-2.6.18-4-sb1a-bcm91480b linux-image-2.6.18-4-vserver-powerpc linux-manual-2.6.18 linux-headers-2.6.18-4-sb1-bcm91250a xen-linux-system-2.6.18-4-xen-vserver-686 linux-image-2.6.18-4-xen-vserver-amd64 linux-headers-2.6.18-4-all-s390 linux-image-2.6.18-4-prep linux-headers-2.6.18-4-vserver-alpha linux-headers-2.6.18-4-amd64 linux-headers-2.6.18-4-amiga linux-headers-2.6.18-4-mckinley linux-headers-2.6.18-4-parisc64-smp linux-image-2.6.18-4-mckinley linux-headers-2.6.18-4-vserver-686 linux-image-2.6.18-4-686-bigmem linux-image-2.6.18-4-s390-tape linux-headers-2.6.18-4-iop32x linux-headers-2.6.18-4 linux-headers-2.6.18-4-vserver-sparc64 linux-image-2.6.18-4-s390x linux-headers-2.6.18-4-parisc64 linux-headers-2.6.18-4-xen-vserver linux-headers-2.6.18-4-all-m68k linux-headers-2.6.18-4-all-ia64 linux-image-2.6.18-4-mac linux-headers-2.6.18-4-s390x linux-image-2.6.18-4-powerpc-smp linux-headers-2.6.18-4-all-amd64 linux-headers-2.6.18-4-686 linux-image-2.6.18-4-powerpc64 linux-headers-2.6.18-4-mac xen-linux-system-2.6.18-4-xen-amd64 linux-image-2.6.18-4-vserver-alpha linux-image-2.6.18-4-sb1-bcm91250a linux-modules-2.6.18-4-xen-amd64 linux-image-2.6.18-4-amiga linux-image-2.6.18-4-xen-vserver-686 linux-headers-2.6.18-4-powerpc64 linux-image-2.6.18-4-powerpc linux-headers-2.6.18-4-all linux-image-2.6.18-4-r5k-cobalt linux-headers-2.6.18-4-all-powerpc linux-headers-2.6.18-4-itanium linux-image-2.6.18-4-sparc64 linux-headers-2.6.18-4-alpha-legacy linux-image-2.6.18-4-rpc linux-headers-2.6.18-4-sparc64 linux-image-2.6.18-4-alpha-generic linux-image-2.6.18-4-ixp4xx linux-image-2.6.18-4-parisc64 linux-headers-2.6.18-4-footbridge linux-headers-2.6.18-4-xen-amd64 linux-headers-2.6.18-4-powerpc-miboot linux-headers-2.6.18-4-xen-686 linux-modules-2.6.18-4-xen-vserver-686 linux-image-2.6.18-4-s3c2410 linux-image-2.6.18-4-vserver-sparc64 linux-headers-2.6.18-4-atari linux-doc-2.6.18 linux-headers-2.6.18-4-all-alpha linux-image-2.6.18-4-vserver-s390x linux-headers-2.6.18-4-xen-vserver-amd64 linux-image-2.6.18-4-sb1a-bcm91480b linux-image-2.6.18-4-vserver-powerpc64 linux-image-2.6.18-4-alpha-smp linux-image-2.6.18-4-parisc64-smp linux-image-2.6.18-4-r3k-kn02 linux-support-2.6.18-4 linux-source-2.6.18 linux-headers-2.6.18-4-k7 linux-headers-2.6.18-4-vserver linux-modules-2.6.18-4-xen-686 linux-headers-2.6.18-4-r4k-kn04 linux-headers-2.6.18-4-all-mipsel linux-headers-2.6.18-4-vserver-k7 linux-headers-2.6.18-4-r3k-kn02 linux-headers-2.6.18-4-all-sparc linux-headers-2.6.18-4-rpc linux-headers-2.6.18-4-r5k-cobalt xen-linux-system-2.6.18-4-xen-686 linux-headers-2.6.18-4-sparc64-smp linux-image-2.6.18-4-s390 linux-image-2.6.18-4-486 linux-headers-2.6.18-4-vserver-powerpc64 linux-image-2.6.18-4-r4k-kn04 linux-headers-2.6.18-4-r5k-ip32 linux-image-2.6.18-4-iop32x linux-headers-2.6.18-4-all-mips linux-headers-2.6.18-4-ixp4xx linux-image-2.6.18-4-parisc-smp linux-headers-2.6.18-4-s390 linux-headers-2.6.18-4-vserver-powerpc linux-image-2.6.18-4-vserver-686 linux-headers-2.6.18-4-all-hppa linux-image-2.6.18-4-parisc linux-image-2.6.18-4-vserver-amd64 linux-image-2.6.18-4-vserver-k7 linux-headers-2.6.18-4-r4k-ip22 linux-image-2.6.18-4-xen-686 linux-image-2.6.18-4-r5k-ip32 linux-headers-2.6.18-4-sparc32 linux-image-2.6.18-4-r4k-ip22 linux-patch-debian-2.6.18 linux-headers-2.6.18-4-powerpc-smp linux-headers-2.6.18-4-alpha-smp linux-tree-2.6.18 xen-linux-system-2.6.18-4-xen-vserver-amd64 linux-image-2.6.18-4-k7 linux-image-2.6.18-4-qemu linux-headers-2.6.18-4-qemu linux-headers-2.6.18-4-xen linux-headers-2.6.18-4-alpha-generic linux-headers-2.6.18-4-parisc linux-image-2.6.18-4-amd64 linux-headers-2.6.18-4-prep linux-image-2.6.18-4-itanium linux-image-2.6.18-4-xen-amd64 linux-headers-2.6.18-4-486 linux-headers-2.6.18-4-all-arm linux-image-2.6.18-4-atari
Architecture: source powerpc all
Version: 2.6.18.dfsg.1-9
Distribution: unstable
Urgency: low
Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
Changed-By: Bastian Blank <waldi@debian.org>
Description: 
 linux-doc-2.6.18 - Linux kernel specific documentation for version 2.6.18
 linux-headers-2.6.18-4 - Common header files for Linux 2.6.18
 linux-headers-2.6.18-4-all - All header files for Linux 2.6.18
 linux-headers-2.6.18-4-all-powerpc - All header files for Linux 2.6.18
 linux-headers-2.6.18-4-powerpc - Header files for Linux 2.6.18 on uniprocessor 32-bit PowerPC
 linux-headers-2.6.18-4-powerpc-miboot - Header files for Linux 2.6.18 on 32-bit PowerPC for miboot floppy
 linux-headers-2.6.18-4-powerpc-smp - Header files for Linux 2.6.18 on multiprocessor 32-bit PowerPC
 linux-headers-2.6.18-4-powerpc64 - Header files for Linux 2.6.18 on 64-bit PowerPC
 linux-headers-2.6.18-4-prep - Header files for Linux 2.6.18 on PReP PowerPC
 linux-headers-2.6.18-4-vserver - Common header files for Linux 2.6.18
 linux-headers-2.6.18-4-vserver-powerpc - Header files for Linux 2.6.18 on uniprocessor 32-bit PowerPC
 linux-headers-2.6.18-4-vserver-powerpc64 - Header files for Linux 2.6.18 on 64-bit PowerPC
 linux-image-2.6.18-4-powerpc - Linux 2.6.18 image on uniprocessor 32-bit PowerPC
 linux-image-2.6.18-4-powerpc-miboot - Linux 2.6.18 image on 32-bit PowerPC for miboot floppy
 linux-image-2.6.18-4-powerpc-smp - Linux 2.6.18 image on multiprocessor 32-bit PowerPC
 linux-image-2.6.18-4-powerpc64 - Linux 2.6.18 image on 64-bit PowerPC
 linux-image-2.6.18-4-prep - Linux 2.6.18 image on PReP PowerPC
 linux-image-2.6.18-4-vserver-powerpc - Linux 2.6.18 image on uniprocessor 32-bit PowerPC
 linux-image-2.6.18-4-vserver-powerpc64 - Linux 2.6.18 image on 64-bit PowerPC
 linux-manual-2.6.18 - Linux kernel API manual pages for version 2.6.18
 linux-patch-debian-2.6.18 - Debian patches to version 2.6.18 of the Linux kernel
 linux-source-2.6.18 - Linux kernel source for version 2.6.18 with Debian patches
 linux-support-2.6.18-4 - Support files for Linux 2.6.18
 linux-tree-2.6.18 - Linux kernel source tree for building Debian kernel images
Closes: 292318 334104 350482 378542 388870 390862 391867 392592 394392 394753 400524 401006 401187 401980 402253 402475 402707 402743 402787 402812 402876 403790 404216 404447 405085 405150 405196 405203 406124 406767 407671
Changes: 
 linux-2.6 (2.6.18.dfsg.1-9) unstable; urgency=low
 .
   [ Martin Michlmayr ]
   * arm/iop32x: Enable CONFIG_IP_NF_CONNTRACK_EVENTS and _NETLINK.
   * arm/ixp4xx: Enable some more I2C sensor modules.
   * arm/ixp4xx: Enable CONFIG_USB_NET_RNDIS_HOST.
   * arm/footbridge: Enable CONFIG_NATSEMI.
   * Revert mm/msync patches because they cause filesystem corruption
     (closes: #401006, #401980, #402707) ...
   * ... and add an alternative msync patch from Hugh Dickins that
     doesn't depend on the mm changes (closes: #394392).
   * mips: provide pci_get_legacy_ide_irq needed by some IDE drivers
     (see #404950).
   * arm: Implement flush_anon_page(), which is needed for FUSE
     (closes: #402876) and possibly dm-crypt/LUKS (see #403426).
   * arm: Turn off PCI burst on the Cyber2010, otherwise X11 on
     Netwinder will crash.
   * arm/iop32x: Enable CONFIG_IEEE80211_SOFTMAC and drivers based
     on it.
   * arm/ixp4xx: Upgrade to version 0.3.1 of the IXP4xx NPE Ethernet
     driver.  This version fixes stuck connections, e.g. with scp and
     NFS (closes: #404447).
   * arm/ixp4xx: Enable CONFIG_VIDEO_CPIA_USB.
   * arm/ixp4xx: Enable CONFIG_ISCSI_TCP.
   * arm/iop32x: Likewise.
 .
   [ Bastian Blank ]
   * Bump ABI to 4.
   * Update vserver patch to 2.0.2.2-rc9. (closes: #402743, #403790)
   * Update xen patch to changeset 36186 from Fedora 2.6.18 branch.
   * i386/xen: Build only the pae version. (closes: #390862)
   * hppa: Override host type when necessary.
   * Fix tg3 reset. (closes: #405085)
 .
   [ dann frazier ]
   * Fix potential fragmentation attacks in ip6_tables (CVE-2006-4572)
   * Backport a number of fixes for the cciss driver
     - Fix a bug with 1TB disks caused by converting total_size to an int
     - Claim devices that are of the HP RAID class and have a valid cciss sig
     - Make NR_CMDS a per-controller define - most can do 1024 commands, but
       the E200 family can only support 128
     - Change the SSID on the E500 as a workaround for a firmware bug
     - Disable prefetch on the P600 controller. An ASIC bug may result in
       prefetching beyond the end of physical memory
     - Increase blk_queue_max_sectors from 512 to 2048 to increase performance
     - Map out more memor for the PCI config table, required to reach offset
       0x214 to disable DMA on the P600
     - Set a default raid level on a volume that either does not support
       reading the geometry or reports an invalid geometry for whatever reason
       to avoid problems with buggy firmware
     - Revert change that replaed XFER_READ/XFER_WRITE macros with
       h->cciss_read/h->cciss_write that caused command timeouts on older
       controllers on ia32 (closes: #402787)
   * Fix mincore hang (CVE-2006-4814)
   * ia64: turn on IOC4 modules for SGI Altix systems. Thanks to Stephane Larose
     for suggesting this.
   * Add versioned build dep on findutils to make sure the system find command
     supports the -execdir action (closes: #405150)
   * Hardcode the output of the scripts under arch/ia64/scripts as executed
     in an etch environment so that we can build out of tree modules correctly
     (closes: #392592)
   * Update unusual_devs entry for ipod to fix an eject issue (closes: #406124)
   * Re-add verify_pmtmr_rate, resolving problems seen on older K6 ASUS
     boards where the ACPI PM timer runs too fast (closes: #394753)
   * Avoid condition where /proc/swaps header may not be printed
     (closes: #292318)
   * [hppa] disable XFS until it works (closes: #350482)
 .
   [ Norbert Tretkowski ]
   * libata: handle 0xff status properly. (closes: #391867)
   * alpha: enabled CONFIG_SCSI_ARCMSR. (closes: #401187)
   * removed BROKEN_ON_SMP dependency from I2C_ELEKTOR. (closes: #402253)
 .
   [ Christian T. Steigies ]
   * m68k/atari: enable keyboard, mouse and fb drivers
   * m68k/atari: fixes for ethernec and video driver by Michael Schmitz
   * m68k/atari: fixes for scsi driver by Michael Schmitz
   * m68k/mac: fixes for mace and cuda driver by Finn Thain
   * m68k/atari: fixes for ide driver by Michael Schmitz
   * m68k/atari: fixes for ide driver by Michael Schmitz
   * m68k/atari: fixes for ethernec and atakeyb driver by Michael Schmitz, build ethernec as module
   * m68k/mac: fixes for mace and adb driver by Finn Thain
 .
   [ maximilian attems ]
   * Add stable release 2.6.18.6:
     - EBTABLES: Fix wraparounds in ebt_entries verification.
     - EBTABLES: Verify that ebt_entries have zero ->distinguisher.
     - EBTABLES: Deal with the worst-case behaviour in loop checks.
     - EBTABLES: Prevent wraparounds in checks for entry components' sizes.
     - skip data conversion in compat_sys_mount when data_page is NULL
     - bonding: incorrect bonding state reported via ioctl
     - x86-64: Mark rdtsc as sync only for netburst, not for core2
       (closes: #406767)
     - dm crypt: Fix data corruption with dm-crypt over RAID5 (closes: #402812)
     - forcedeth: Disable INTx when enabling MSI in forcedeth
     - PKT_SCHED act_gact: division by zero
     - XFRM: Use output device disable_xfrm for forwarded packets
     - IPSEC: Fix inetpeer leak in ipv4 xfrm dst entries.
     - V4L: Fix broken TUNER_LG_NTSC_TAPE radio support
     - m32r: make userspace headers platform-independent
     - IrDA: Incorrect TTP header reservation
     - SUNHME: Fix for sunhme failures on x86
     - Bluetooth: Add packet size checks for CAPI messages (CVE-2006-6106)
     - softmac: remove netif_tx_disable when scanning
     - DVB: lgdt330x: fix signal / lock status detection bug
     - dm snapshot: fix freeing pending exception
     - NET_SCHED: policer: restore compatibility with old iproute binaries
     - NETFILTER: ip_tables: revision support for compat code
     - ARM: Add sys_*at syscalls
     - ieee1394: ohci1394: add PPC_PMAC platform code to driver probe
     - softirq: remove BUG_ONs which can incorrectly trigger
   * Hand-picked from stable release 2.6.16.30:
     - [PPPOE]: Advertise PPPoE MTU
   * Hand-picked from stable release 2.6.16.31:
     - [NETFILTER]: Fix ip6_tables extension header bypass bug (CVE-2006-4572)
     - fix RARP ic_servaddr breakage
   * Hand-picked from stable release 2.6.16.32:
     - drivers/telephony/ixj: fix an array overrun
     - flush D-cache in failure path
   * Hand-picked from stable release 2.6.16.33:
     - Add new PHY to sis900 supported list
     - ipmi_si_intf.c: fix "&& 0xff" typos
     - drivers/scsi/psi240i.c: fix an array overrun
   * Hand-picked from stable release 2.6.16.34:
     - [IPX]: Annotate and fix IPX checksum
     - [IGMP]: Fix IGMPV3_EXP() normalization bit shift value.
   * Hand-picked from stable release 2.6.16.35:
     - sgiioc4: Disable module unload
     - Fix a masking bug in the 6pack driver.
     - drivers/usb/input/ati_remote.c: fix cut'n'paste error
     - proper flags type of spin_lock_irqsave()
   * Hand-picked from stable release 2.6.16.37:
     - [CRYPTO] sha512: Fix sha384 block size
     - [SCSI] gdth: Fix && typos
     - Fix SUNRPC wakeup/execute race condition
   * Enable DEBUG_FS for usbmon in generic config. Don't disable it on alpha,
     amd64, hppa and ia64. (closes: 378542)
   * Backport a number of upstream fixes for the r8169 driver, needed for
     network performance (closes: 388870, 400524)
     - r8169: more alignment for the 0x8168
     - r8169: phy program update
     - r8169: more magic during initialization of the hardware
     - r8169: perform a PHY reset before any other operation at boot time
     - r8169: Fix iteration variable sign
     - r8169: remove extraneous Cmd{Tx/Rx}Enb write
   * sound: hda: detect ALC883 on MSI K9A Platinum motherboards (MS-7280)
     patch from Leonard Norrgard <leonard.norrgard@refactor.fi>
   * tulip: Add i386 specific patch to remove duplicate pci ids.
     Thanks Jurij Smakov <jurij@wooyd.org> (closes: #334104, #405203)
   * amd64, i386: Disable SK98LIN as SKGE is the modern capable driver.
     (closes: 405196)
   * Backout net-bcm43xx_netdev_watchdog.patch and push 2.6.18.2 fix.
     (closes: 402475)
 .
   [ Jurij Smakov ]
   * Add bugfix/sparc/isa-dev-no-reg.patch to make sure that
     isa_dev_get_resource() can deal with devices which do not have a 'reg'
     PROM property. Failure to handle such devices properly resulted in an
     oops during boot on Netra X1. Thanks to Richard Mortimer for debugging
     and patch. (closes: #404216)
   * Add bugfix/sparc/ehci-hub-contol-alignment.patch to prevent unaligned
     memory accesses in ehci-hub-control() by adding an alignment attribute
     to the tbuf array declaration. Thanks to David Miller for the patch.
 .
   [ Sven Luther ]
   * [powerpc] Enable CONFIG_PMAC_BACKLIGHT_LEGACY (Closes: #407671).
Files: 
 49d7b7efb8fdbd5934d540326511d039 5668 devel optional linux-2.6_2.6.18.dfsg.1-9.dsc
 6a1ab0948d6b5b453ea0fce0fcc29060 52225460 devel optional linux-2.6_2.6.18.dfsg.1.orig.tar.gz
 f9b4ce9c8858e60bff8df61320979058 1751644 devel optional linux-2.6_2.6.18.dfsg.1-9.diff.gz
 361727680d344dd0f54395ff0559c2d9 3599818 doc optional linux-doc-2.6.18_2.6.18.dfsg.1-9_all.deb
 d64023d9a6dcd48052ade816e83ac6b5 1077570 doc optional linux-manual-2.6.18_2.6.18.dfsg.1-9_all.deb
 c137d1ae26a25ed5abbc80ed7ed08a97 1381068 devel optional linux-patch-debian-2.6.18_2.6.18.dfsg.1-9_all.deb
 42bb1cfb596bd6943f7b470bad91a16a 41405074 devel optional linux-source-2.6.18_2.6.18.dfsg.1-9_all.deb
 ff81d2e0076a38e8c138ec6e6b8cdcbe 256914 devel optional linux-support-2.6.18-4_2.6.18.dfsg.1-9_all.deb
 523eedfb16eea3d54e4aadd39b5bea15 46704 devel optional linux-tree-2.6.18_2.6.18.dfsg.1-9_all.deb
 009c7593a4d7a7fdc920d03ac9f5063d 46324 devel optional linux-headers-2.6.18-4-all_2.6.18.dfsg.1-9_powerpc.deb
 c081769c0ee34f178bbcf295ae680334 46362 devel optional linux-headers-2.6.18-4-all-powerpc_2.6.18.dfsg.1-9_powerpc.deb
 7bfef65fb41af53c65bf04b49acb2e76 3384936 devel optional linux-headers-2.6.18-4_2.6.18.dfsg.1-9_powerpc.deb
 31802301a891fa8ca04c8243ebacb513 16624056 admin optional linux-image-2.6.18-4-powerpc_2.6.18.dfsg.1-9_powerpc.deb
 4d0567e8930f6f161aeb194bfa290c7f 244466 devel optional linux-headers-2.6.18-4-powerpc_2.6.18.dfsg.1-9_powerpc.deb
 7ca5ded0ed70b95e7e47b72d84574714 16962266 admin optional linux-image-2.6.18-4-powerpc-smp_2.6.18.dfsg.1-9_powerpc.deb
 3702c2d53014a43159727d028381e099 245074 devel optional linux-headers-2.6.18-4-powerpc-smp_2.6.18.dfsg.1-9_powerpc.deb
 7d738536a29475b610bd1ce813cf4162 15153182 admin optional linux-image-2.6.18-4-powerpc-miboot_2.6.18.dfsg.1-9_powerpc.deb
 5309f291ed7d7cfc4907a496fd69fe16 221424 devel optional linux-headers-2.6.18-4-powerpc-miboot_2.6.18.dfsg.1-9_powerpc.deb
 04ba8c1055666bbb7208634740e85f46 18286116 admin optional linux-image-2.6.18-4-powerpc64_2.6.18.dfsg.1-9_powerpc.deb
 5e79d913194cd37d829e42e4c614e46d 245508 devel optional linux-headers-2.6.18-4-powerpc64_2.6.18.dfsg.1-9_powerpc.deb
 ecd6445553c674876f4b3fe8e4b5182f 16397570 admin optional linux-image-2.6.18-4-prep_2.6.18.dfsg.1-9_powerpc.deb
 ea551ce3247794bfd5e54eb03b3d4ec8 238890 devel optional linux-headers-2.6.18-4-prep_2.6.18.dfsg.1-9_powerpc.deb
 382551eae1580ce294f11683a1ae5026 3407174 devel optional linux-headers-2.6.18-4-vserver_2.6.18.dfsg.1-9_powerpc.deb
 28b8bb4e11aa5c8100571967fc5f6d48 17002466 admin optional linux-image-2.6.18-4-vserver-powerpc_2.6.18.dfsg.1-9_powerpc.deb
 9ddd8711a8d0a5db35abd16ce843107e 245292 devel optional linux-headers-2.6.18-4-vserver-powerpc_2.6.18.dfsg.1-9_powerpc.deb
 a905785bc4181069af71222c60fce608 18340762 admin optional linux-image-2.6.18-4-vserver-powerpc64_2.6.18.dfsg.1-9_powerpc.deb
 d1a9db2cf82babebaadbd8f2631e9edb 245790 devel optional linux-headers-2.6.18-4-vserver-powerpc64_2.6.18.dfsg.1-9_powerpc.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iEYEARECAAYFAkW3a90ACgkQLkAIIn9ODhGAYQCfeM36zDQjC4xPmsvT7rmEl0tl
BJwAn0yGab2sjAJQTofYGhHq8ZT4TZLs
=SOBi
-----END PGP SIGNATURE-----




Tags added: pending Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 24 Jun 2007 10:07:58 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 03:08:08 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.